﻿using LibraryToTest;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;
using WebAndLoadTests;
namespace WebAndLoadTest.UnitTest
{
    
    
    /// <summary>
    ///This is a test class for CRMStuffTest and is intended
    ///to contain all CRMStuffTest Unit Tests
    ///</summary>
    [TestClass()]
    public class CRMStuffTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for getResults
        ///</summary>
        [TestMethod()]
        public void getResultsTest()
        {
            CRMStuff target = new CRMStuff(); 
            int expectedCount = 10; 
            IEnumerable<CustomerWithID> actual;
            actual = target.getResults();
            
            // this should all be fast, untill we start enumerating the iterator, since it will call the 
            // constructor, that calls expensive calculation code
            Assert.AreEqual(expectedCount, actual.Count());
        }

        [TestMethod()]
        public void getResultsTest2()
        {
            CRMStuff2 target = new CRMStuff2();
            int expectedCount = 10;
            IEnumerable<CustomerWithID> actual;
            actual = target.getResults();

            // this should all be fast, untill we start enumerating the iterator, since it will call the 
            // constructor, that calls expensive calculation code
            Assert.AreEqual(expectedCount, actual.Count());
        }

        [TestMethod()]
        public void getResultsTest3()
        {
            CRMStuff3 target = new CRMStuff3();
            int expectedCount = 10;
            IEnumerable<CustomerWithID> actual;
            actual = target.getResults();

            // this should all be fast, untill we start enumerating the iterator, since it will call the 
            // constructor, that calls expensive calculation code
            Assert.AreEqual(expectedCount, actual.Count());
        }

        [TestMethod()]
        public void getResultsTest4()
        {
            CRMStuff4 target = new CRMStuff4();
            int expectedCount = 10;
            IEnumerable<CustomerWithID> actual;
            actual = target.getResults();

            // this should all be fast, untill we start enumerating the iterator, since it will call the 
            // constructor, that calls expensive calculation code
            Assert.AreEqual(expectedCount, actual.Count());
        }
    }
}
